Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		libmicrohttpd
#Epoch:		0
Version:	0.4.5
Release:	1
License:	GNU/GPLv2
URL:		http://www.gnu.org/software/libmicrohttpd/
Group:		System/Libraries
Summary:	small HTTP server library written in C 
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

Requires(post,preun): /sbin/install-info

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: curl-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: pkg-config

%description
GNU libmicrohttpd is a small C library that is supposed to make it easy to run an HTTP server as part of another application.


%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
/sbin/install-info %_infodir/microhttpd.info.gz %_infodir/dir
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/microhttpd.info.gz %_infodir/dir
fi


%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

rm -rf $RPM_BUILD_ROOT/%{_infodir}/dir

%files
%defattr(-,root,root)
%{_libdir}/libmicrohttpd.so.*
%{_infodir}/microhttpd.info.gz
%{_mandir}/man3/libmicrohttpd.3.gz

%files devel
%defattr(-,root,root)
%{_includedir}/microhttpd.h
%{_libdir}/libmicrohttpd.a
%{_libdir}/libmicrohttpd.la
%{_libdir}/libmicrohttpd.so
%{_pkgconfig}/libmicrohttpd.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Mar 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.4.5-1
- initial CCux package release
